Loading...
Searching...
No Matches
Halide::Internal::AbstractGenerator::ArgInfo Struct Reference

ArgInfo is a struct to contain name-and-type information for the inputs and outputs to the Pipeline that build_pipeline() will return. More...

`#include <AbstractGenerator.h>`

## Public Attributes

std::string | name
ArgInfoDirection | dir = ArgInfoDirection::Input
ArgInfoKind | kind = ArgInfoKind::Scalar
std::vector< Type > | types
int | dimensions = 0

## Detailed Description

ArgInfo is a struct to contain name-and-type information for the inputs and outputs to the Pipeline that build_pipeline() will return.

Note that this looks rather similar to Halide::Argument, but unfortunately that is not a good fit here, as it cannot represent Func inputs (only Buffer and Scalar), nor can it really handle Outputs.

Definition at line 67 of file AbstractGenerator.h.

## Member Data Documentation

## name

std::string Halide::Internal::AbstractGenerator::ArgInfo::name

Definition at line 68 of file AbstractGenerator.h.

## dir

ArgInfoDirection Halide::Internal::AbstractGenerator::ArgInfo::dir = ArgInfoDirection::Input

Definition at line 69 of file AbstractGenerator.h.

## kind

ArgInfoKind Halide::Internal::AbstractGenerator::ArgInfo::kind = ArgInfoKind::Scalar

Definition at line 70 of file AbstractGenerator.h.

## types

std::vector<Type> Halide::Internal::AbstractGenerator::ArgInfo::types

Definition at line 72 of file AbstractGenerator.h.

## dimensions

int Halide::Internal::AbstractGenerator::ArgInfo::dimensions = 0

Definition at line 73 of file AbstractGenerator.h.

The documentation for this struct was generated from the following file:

- src/AbstractGenerator.h